=== debian/changelog ===
litestar-htmx (0.4.1-2) unstable; urgency=medium

  * [96fa914] d/control: Uncomment and adjust B-D for test suite
  * [2d1617a] d/rules: Run the tests at build time
  * [28b13b3] d/control: Add missing bin dep on python3-litestar
  * [1bd6311] autopkgtest: Add some test setup
  * [aa1f6a8] d/salsa-ci.yml: Add a Salsa CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Mar 2025 18:02:34 +0200

litestar-htmx (0.4.1-1) unstable; urgency=medium

  * [b59d45d] New upstream version 0.4.1
  * [a21abca] First and Basic Debianization
    (Closes: #1095007)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 03 Feb 2025 19:00:42 +0200
