=== debian/control ===
Source: litestar-htmx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-jinja2 <!nocheck>,
 python3-litestar <!nocheck>,
 python3-mako <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-sugar <!nocheck>,
 python3-pytest-xdist <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/litestar-org/litestar-htmx
Vcs-Git: https://salsa.debian.org/python-team/packages/litestar-htmx.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar-htmx
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-litestar-htmx
Architecture: any
Depends:
 python3-litestar,
 ${misc:Depends},
 ${python3:Depends},
Description: HTMX Integration for Litestar
 The Litestar framework supports Plugins, ships with dependency injection,
 security primitives, OpenAPI schema generation, MessagePack, middlewares, a
 great CLI experience, and much more.
 .
 HTMX is a JavaScript library that gives you access to AJAX, CSS
 Transitions, WebSockets and Server Sent Events directly in HTML, using
 attributes, so you can build modern user interfaces with the simplicity and
 power of hypertext.
 .
 This package provides Python bindings for the Litestar package to interact
 with the HTMX functionalities.
