=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

#SPHINXOPTS := -E -N

export PYBUILD_NAME=litestar_htmx

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf .mypy_cache .pytest_cache
	dh_clean

#override_dh_sphinxdoc:
#ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
#	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
#	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
#	dh_sphinxdoc
#endif
