=== debian/changelog ===
litestar-htmx (0.5.0-1) unstable; urgency=medium

  * [14eeab8] New upstream version 0.5.0
  * [e02202b] d/control: Increase Standards-Version to 4.7.2
    No further changes needed.
  * [6d3121b] d/control: Drop Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [a6cfce7] d/README.source: Update info about building -doc package
  * [078712f] d/control: Prepare entry for -doc package
  * [7f647ea] d/rules: Update target for -doc build
  * [1857b76] d/control: Sort build dependencies alphabetical

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 Aug 2025 15:07:56 +0200
