=== debian/control ===
--- 
+++ 
@@ -8,23 +8,52 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-auto-pytabs <!nodoc>,
  python3-hatchling,
  python3-jinja2 <!nocheck>,
  python3-litestar <!nocheck>,
  python3-mako <!nocheck>,
- python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-mock <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-pytest-sugar <!nocheck>,
  python3-pytest-xdist <!nocheck>,
-Standards-Version: 4.7.0
+ python3-sphinx-autobuild <!nodoc>,
+ python3-sphinx-click <!nodoc>,
+ python3-sphinxcontrib-mermaid <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-design <!nodoc>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-paramlinks <!nodoc>,
+ python3-sphinx-togglebutton <!nodoc>,
+ python3-sphinx-toolbox <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/litestar-org/litestar-htmx
 Vcs-Git: https://salsa.debian.org/python-team/packages/litestar-htmx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar-htmx
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
+
+#Package: python-litestar-htmx-doc
+#Section: doc
+#Architecture: all
+#Depends:
+# ${misc:Depends},
+# ${sphinxdoc:Depends},
+#Multi-Arch: foreign
+#Description: HTMX Integration for Litestar
+# The Litestar framework supports Plugins, ships with dependency injection,
+# security primitives, OpenAPI schema generation, MessagePack, middlewares, a
+# great CLI experience, and much more.
+# .
+# HTMX is a JavaScript library that gives you access to AJAX, CSS
+# Transitions, WebSockets and Server Sent Events directly in HTML, using
+# attributes, so you can build modern user interfaces with the simplicity and
+# power of hypertext.
+# .
+# This package contains the documentation for python3-litestar-htmx.
 
 Package: python3-litestar-htmx
 Architecture: any
@@ -32,6 +61,8 @@
  python3-litestar,
  ${misc:Depends},
  ${python3:Depends},
+#Suggests:
+# python-litestar-htmx-doc,
 Description: HTMX Integration for Litestar
  The Litestar framework supports Plugins, ships with dependency injection,
  security primitives, OpenAPI schema generation, MessagePack, middlewares, a
