=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 
 #override_dh_sphinxdoc:
 #ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+#	HOME=$(CURDIR)/debian \
 #	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
-#	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
+#	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-litestar-htmx-doc/usr/share/doc/python-litestar-htmx-doc/html
 #	dh_sphinxdoc
 #endif
