=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python3-all,
 python3-jinja2,
 python3-mako,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-pytest-sugar,
 python3-pytest-xdist,
 @,
Restrictions:
 allow-stderr,
